---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.130.0.18/23"],"mac_address":"7a:be:ac:82:00:13","gateway_ips":["10.130.0.1"],"ip_address":"10.130.0.18/23","gateway_ip":"10.130.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.130.0.18"
          ],
          "mac": "7a:be:ac:82:00:13",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.130.0.18"
          ],
          "mac": "7a:be:ac:82:00:13",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted
    operator.openshift.io/force: 169dc4bc-5318-491b-a898-6200a18fdef9
  creationTimestamp: "2020-05-26T14:24:54Z"
  generateName: controller-manager-
  labels:
    app: openshift-controller-manager
    controller-manager: "true"
    controller-revision-hash: 69ffb69b96
    pod-template-generation: "11"
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:operator.openshift.io/force: {}
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:controller-manager: {}
          f:controller-revision-hash: {}
          f:pod-template-generation: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"e0c4fe1d-c617-46eb-8eb3-c0674b46c4e4"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution:
              .: {}
              f:nodeSelectorTerms: {}
        f:containers:
          k:{"name":"controller-manager"}:
            .: {}
            f:args: {}
            f:command: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":8443,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/pki/ca-trust/extracted/pem"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/configmaps/client-ca"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/configmaps/config"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/secrets/serving-cert"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"client-ca"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"config"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"proxy-ca-bundles"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:items: {}
              f:name: {}
            f:name: {}
          k:{"name":"serving-cert"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:secretName: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T14:24:54Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T14:24:54Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2020-05-26T14:24:56Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.130.0.18"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T14:24:57Z"
  name: controller-manager-6dpj9
  namespace: openshift-controller-manager
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: controller-manager
    uid: e0c4fe1d-c617-46eb-8eb3-c0674b46c4e4
  resourceVersion: "14467"
  selfLink: /api/v1/namespaces/openshift-controller-manager/pods/controller-manager-6dpj9
  uid: 24ed1c7a-8d04-43da-8a55-60e8e3fa2863
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - ip-10-0-134-165.ec2.internal
  containers:
  - args:
    - --config=/var/run/configmaps/config/config.yaml
    - -v=2
    command:
    - openshift-controller-manager
    - start
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:c05f920fe77a778dfcd05e0f7b351adf16556c5019d2351d0c5a4c02e2ebec38
    imagePullPolicy: IfNotPresent
    name: controller-manager
    ports:
    - containerPort: 8443
      protocol: TCP
    resources:
      requests:
        cpu: 100m
        memory: 100Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000300000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/configmaps/config
      name: config
    - mountPath: /var/run/configmaps/client-ca
      name: client-ca
    - mountPath: /var/run/secrets/serving-cert
      name: serving-cert
    - mountPath: /etc/pki/ca-trust/extracted/pem
      name: proxy-ca-bundles
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: openshift-controller-manager-sa-token-5j6cm
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: openshift-controller-manager-sa-dockercfg-qz75k
  nodeName: ip-10-0-134-165.ec2.internal
  nodeSelector:
    node-role.kubernetes.io/master: ""
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000300000
    seLinuxOptions:
      level: s0:c17,c14
  serviceAccount: openshift-controller-manager-sa
  serviceAccountName: openshift-controller-manager-sa
  terminationGracePeriodSeconds: 30
  tolerations:
  - operator: Exists
  volumes:
  - configMap:
      defaultMode: 420
      name: config
    name: config
  - configMap:
      defaultMode: 420
      name: client-ca
    name: client-ca
  - name: serving-cert
    secret:
      defaultMode: 420
      secretName: serving-cert
  - configMap:
      defaultMode: 420
      items:
      - key: ca-bundle.crt
        path: tls-ca-bundle.pem
      name: openshift-global-ca
    name: proxy-ca-bundles
  - name: openshift-controller-manager-sa-token-5j6cm
    secret:
      defaultMode: 420
      secretName: openshift-controller-manager-sa-token-5j6cm
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:24:54Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:24:57Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:24:57Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:24:54Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://b4bbddc6ae157c060082308c8f0a4ea40a0274a18698ed241042830f6d6877ca
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:c05f920fe77a778dfcd05e0f7b351adf16556c5019d2351d0c5a4c02e2ebec38
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:c05f920fe77a778dfcd05e0f7b351adf16556c5019d2351d0c5a4c02e2ebec38
    lastState: {}
    name: controller-manager
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2020-05-26T14:24:57Z"
  hostIP: 10.0.134.165
  phase: Running
  podIP: 10.130.0.18
  podIPs:
  - ip: 10.130.0.18
  qosClass: Burstable
  startTime: "2020-05-26T14:24:54Z"
